<?php
/**
 * An exception thrown when an XML parser error was detected
 *
 * @author		Roland Haeder <webmaster@ship-simu.org>
 * @version		0.0.0
 * @copyright	Copyright (c) 2007 - 2009 Roland Haeder, this is free software
 * @license		GNU GPL 3.0 or any newer version
 * @link		http://www.ship-simu.org
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */
class InvalidXmlNodeException extends FrameworkException {
	/**
	 * The super constructor for all exceptions
	 *
	 * @param	$classArray		Array holding the exception data
	 * @param	$code			Error code
	 * @return	void
	 */
	public function __construct (array $classArray, $code) {
		// Extract attributes
		$attributes = '<em>None</em>';
		if ((is_array($classArray[2])) && (count($classArray[2]) > 0)) {
			$attributes = implode(', ', $classArray[2]);
		} // END - if

		// Construct our message
		$message = sprintf("[%s:%d] Invalid XML node found: %s, attributes: %s.",
			$classArray[0]->__toString(),
			$this->getLine(),
			$classArray[1],
			$attributes
		);

		// Call parent exception constructor
		parent::__construct($message, $code);
	}
}

// [EOF]
?>
